C# Class Revit.SDK.Samples.LevelsProperty.CS.Command

Inheritance: IExternalCommand
Mostra file Open project: AMEE/revit

Public Properties

Property Type Description
UnitType Autodesk.Revit.DB.DisplayUnitType

Public Methods

Method Description
CreateLevel ( String levelName, double levelElevation ) : void

Create a level

DeleteLevel ( int IDValueOfLevel ) : void

Delete a Level.

Execute ( ExternalCommandData revit, String &message, Autodesk elements ) : Autodesk.Revit.UI.Result

Implement this method as an external command for Revit.

SetLevel ( int levelIDValue, String levelName, double levelElevation ) : bool

Set Level

Method Details

CreateLevel() public method

Create a level
public CreateLevel ( String levelName, double levelElevation ) : void
levelName String Pass a Level's Name
levelElevation double Pass a Level's Elevation
return void

DeleteLevel() public method

Delete a Level.
public DeleteLevel ( int IDValueOfLevel ) : void
IDValueOfLevel int A Level's ID value
return void

Execute() public method

Implement this method as an external command for Revit.
public Execute ( ExternalCommandData revit, String &message, Autodesk elements ) : Autodesk.Revit.UI.Result
revit ExternalCommandData An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.
message String A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.
elements Autodesk A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.
return Autodesk.Revit.UI.Result

SetLevel() public method

Set Level
public SetLevel ( int levelIDValue, String levelName, double levelElevation ) : bool
levelIDValue int Pass a Level's ID value
levelName String Pass a Level's Name
levelElevation double Pass a Level's Elevation
return bool

Property Details

UnitType public_oe property

public DisplayUnitType,Autodesk.Revit.DB UnitType
return Autodesk.Revit.DB.DisplayUnitType